// AecOSDdlg.cpp : implementation file
//

#include "stdafx.h"
#include "AecMfc32TimeCode.h"
#include "AecOSDdlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif



/////////////////////////////////////////////////////////////////////////////
// CAecOSDdlg dialog

//CAec* pAec = (CAec*)pParam;
//CAecOSDdlg::CAecOSDdlg(CWnd* pParent, CAec* pTC /*=NULL*/)

CAecOSDdlg::CAecOSDdlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAecOSDdlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAecOSDdlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_pMainDlg = pParent;
	// up, down, focus, 0
	if (!buttonUP.LoadBitmaps(IDB_BITMAP_UP_UP, IDB_BITMAP_UP_DOWN, IDB_BITMAP_UP_FOCUS, 0))
		MessageBox("no", "BitMapUP",MB_OK);
	if (!buttonDN.LoadBitmaps(IDB_BITMAP_DN_UP, IDB_BITMAP_DN_DOWN, IDB_BITMAP_DN_FOCUS, 0))
		MessageBox("no", "BitMapDN",MB_OK);
	if (!buttonLT.LoadBitmaps(IDB_BITMAP_LT_UP, IDB_BITMAP_LT_DOWN, IDB_BITMAP_LT_FOCUS, 0))
		MessageBox("no", "BitMapLT",MB_OK);
	if (!buttonRT.LoadBitmaps(IDB_BITMAP_RT_UP, IDB_BITMAP_RT_DOWN, IDB_BITMAP_RT_FOCUS, 0))
		MessageBox("no", "BitMapRT",MB_OK);

	//buttonUP, buttonDN,  buttonLT,; buttonRT,

}

//=============================================================================
BOOL CAecOSDdlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	VERIFY(buttonUP.SubclassDlgItem(IDC_BUTTON_BITMAP_UP, this));
	buttonUP.SizeToContent();

	VERIFY(buttonDN.SubclassDlgItem(IDC_BUTTON_BITMAP_DN, this));
	buttonDN.SizeToContent();

	VERIFY(buttonLT.SubclassDlgItem(IDC_BUTTON_BITMAP_LT, this));
	buttonLT.SizeToContent();

	VERIFY(buttonRT.SubclassDlgItem(IDC_BUTTON_BITMAP_RT, this));
	buttonRT.SizeToContent();	

	bMoveFast = FALSE;
	byte25Setting = 0;
	UpdateControls();

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


//=============================================================================
void CAecOSDdlg::UpdateControls()
{
//	if (tc1.BrdType() != 4)
//		OnOK();	//force OSD dialog box to exit!
//	byte08 = tc1.Read1(0x0008);
//	if (!(byte08 & BIT3))
//		OnOK();
		//Should not have been able to get here!

	//Update all of the buttons and controls for this Dialog
	//Read the OSD control bytes
	//These bytes are 24h-27h
	m_dw4.d = tc1.Read4(0x0024);
	byte27 = m_dw4.b.h;
	byte26 = m_dw4.b.m;
	byte25 = m_dw4.b.s;
	byte24 = m_dw4.b.f;

//	BOOL bInitOk;
//	BOOL bOnOff;
//	BOOL bShowGen;
//	BOOL bFieldId;
//	BOOL bShowUser;
//	BYTE byte08;
//	BYTE byte24;
//	BYTE byte25;
//	BYTE byte25Setting;
//	BYTE byte26;
//	BYTE byte27;
//	WORD wBrdAddr;
//	WORD wOffset;
	

//	bOnOff = FALSE;
//	bShowGen = FALSE;
//	bFieldId = FALSE;
//	bShowUser = FALSE;

	byte0D = tc1.Read1(0x000D);
	bEBU = ((byte0D & BIT4) ? TRUE : FALSE);



	//Write this data to leftright edit box
	wsprintf(sTemp, "%d", byte24);
	SetDlgItemText(IDC_EDITLEFTRIGHT, sTemp);


	
	//This value (if zero) turns OFF the OSD (and NOT saved)
	//set the On/Off box status AND   set/clr OnOff pushbutton
	CheckDlgButton(IDC_CHECK_ON_OFF, (byte25 ? 1 : 0));
	bOnOff = (byte25 ? TRUE : FALSE);
	if (bOnOff)
		byte25Setting = byte25;	//Save this value that was last writen IF ON
	
	
	//bit 26.6	(see display options notes)	('1' drops lower dot of 
	//colon at frames drops one pixel when DF)
	CheckDlgButton(IDC_CHECK_DF_INDICATION, ((byte26 & BIT6) ? 1 : 0));


//	Character Color Chart:
//			Bit 5	Bit 4 =>Character Color		Bit 3 => Size (1 => large; 0 => small)
//			1		1		Semi-Transparent
//			1		0		White
//			0		1		Gray
//			0		0		Black
	if ((byte26 & 0x38) == 0x00)
		SetDlgItemText(IDC_EDIT_COLOR, "Black Sm");
	else if ((byte26 & 0x38) == 0x08)
		SetDlgItemText(IDC_EDIT_COLOR, "Black Lg");
	else if ((byte26 & 0x38) == 0x10)
		SetDlgItemText(IDC_EDIT_COLOR, "Gray Sm");
	else if ((byte26 & 0x38) == 0x18)
		SetDlgItemText(IDC_EDIT_COLOR, "Gray Lg");
	else if ((byte26 & 0x38) == 0x20)
		SetDlgItemText(IDC_EDIT_COLOR, "White Sm");
	else if ((byte26 & 0x38) == 0x28)
		SetDlgItemText(IDC_EDIT_COLOR, "White Lg");
	else if ((byte26 & 0x38) == 0x30)
		SetDlgItemText(IDC_EDIT_COLOR, "Semi Sm");
	else if ((byte26 & 0x38) == 0x38)
		SetDlgItemText(IDC_EDIT_COLOR, "Semi Lg");



//Background Color Chart:
//	Bit 2	Bit 1	Bit 0 => Background Color
//	1		0		0		Transparent
//	0		1		1		Semi-Transparent
//	0		1		0		White
//	0		0		1		Gray
//	0		0		0		Black
	if ((byte26 & 0x07) == 0x00)
		SetDlgItemText(IDC_EDIT_BACKGROUND, "Black");
	else if ((byte26 & 0x07) == 0x01)
		SetDlgItemText(IDC_EDIT_BACKGROUND, "Gray");
	else if ((byte26 & 0x07) == 0x02)
		SetDlgItemText(IDC_EDIT_BACKGROUND, "White");
	else if ((byte26 & 0x07) == 0x03)
		SetDlgItemText(IDC_EDIT_BACKGROUND, "Semi");
	else if ((byte26 & 0x07) == 0x04)
		SetDlgItemText(IDC_EDIT_BACKGROUND, "Trans");
	else if ((byte26 & 0x07) == 0x05)
		SetDlgItemText(IDC_EDIT_BACKGROUND, "??");
	else if ((byte26 & 0x07) == 0x06)
		SetDlgItemText(IDC_EDIT_BACKGROUND, "??");
	else if ((byte26 & 0x07) == 0x07)
		SetDlgItemText(IDC_EDIT_BACKGROUND, "??");


	//Write this data (26.7h/25h) to updown edit box
	//Bit 26.7 adds 256 to 25h above (valid only if EBU/PAL
	//int i = (int)byte25;
	int i = (int)byte25Setting;
	if ((byte26 & BIT7) && bEBU)
		i += 0x100;	//add 256
		
	wsprintf(sTemp, "%d", i);
	SetDlgItemText(IDC_EDITUPDOWN, sTemp);

	CheckDlgButton(IDC_CHECK_GENERATOR, ((byte27 & BIT3) ? 1 : 0));
	CheckDlgButton(IDC_CHECK_USER, ((byte27 & BIT2) ? 1 : 0));
	CheckDlgButton(IDC_CHECK_FIELD_ID, ((byte27 & BIT1) ? 1 : 0));

	bInitOk = TRUE;

}

/*
	IDC_EDIT_COLOR
	IDC_EDIT_BACKGROUND
	IDC_EDITUPDOWN, OnChangeEditupdown)
	IDC_EDITLEFTRIGHT, OnChangeEditleftright)

	IDC_BUTTON_BITMAP_UP, OnButtonBitmapUp)
	IDC_BUTTON_BITMAP_DN, OnButtonBitmapDn)
	IDC_BUTTON_BITMAP_LT, OnButtonBitmapLt)
	IDC_BUTTON_BITMAP_RT, OnButtonBitmapRt)

	IDC_CHECK_MOVE_FAST, OnCheckMoveFast)
	IDC_CHECK_GENERATOR, OnCheckGenerator)
	IDC_CHECK_USER, OnCheckUser)
	IDC_CHECK_FIELD_ID, OnCheckFieldId)
	IDC_CHECK_DF_INDICATION
	IDC_CHECK_ON_OFF, OnCheckOnOff)

	IDC_TOGGLE_SIZE, OnToggleSize)
	IDC_TEXT_COLOR, OnTextColor)
	IDC_BACKGROUND_COLOR, OnBackgroundColor)
  */


//=============================================================================
void CAecOSDdlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAecOSDdlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAecOSDdlg, CDialog)
	//{{AFX_MSG_MAP(CAecOSDdlg)
	ON_BN_CLICKED(IDC_CHECK_MOVE_FAST, OnCheckMoveFast)
	ON_BN_CLICKED(IDC_BUTTON_BITMAP_UP, OnButtonBitmapUp)
	ON_BN_CLICKED(IDC_BUTTON_BITMAP_DN, OnButtonBitmapDn)
	ON_BN_CLICKED(IDC_BUTTON_BITMAP_LT, OnButtonBitmapLt)
	ON_BN_CLICKED(IDC_BUTTON_BITMAP_RT, OnButtonBitmapRt)
	ON_BN_CLICKED(IDC_CHECK_GENERATOR, OnCheckGenerator)
	ON_BN_CLICKED(IDC_CHECK_USER, OnCheckUser)
	ON_BN_CLICKED(IDC_CHECK_FIELD_ID, OnCheckFieldId)
	ON_BN_CLICKED(IDC_CHECK_ON_OFF, OnCheckOnOff)
	ON_BN_CLICKED(IDC_TOGGLE_SIZE, OnToggleSize)
	ON_BN_CLICKED(IDC_TEXT_COLOR, OnTextColor)
	ON_BN_CLICKED(IDC_BACKGROUND_COLOR, OnBackgroundColor)
	ON_BN_CLICKED(IDC_CHECK_DF_INDICATION, OnCheckDfIndication)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
void CAecOSDdlg::SendToMain(WPARAM wp, LPARAM lp)
{

	m_pMainDlg->SendMessage(WM_AEC_OSD, wp, lp);

}

// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/////////////////////////////////////////////////////////////////////////////
// CAecOSDdlg message handlers

void CAecOSDdlg::OnCheckMoveFast() 
{
	if (IsDlgButtonChecked(IDC_CHECK_MOVE_FAST))
	{
		MessageBeep(-1);	//temp
		bMoveFast = TRUE;
	}
	else bMoveFast = FALSE;		
}

//=============================================================================
void CAecOSDdlg::OnButtonBitmapUp() 
{
	DoVertical(FALSE);

}

//=============================================================================
void CAecOSDdlg::OnButtonBitmapDn() 
{
	// TODO: Add your control notification handler code here
	DoVertical(TRUE);
	
}

//=============================================================================
void CAecOSDdlg::DoVertical(BOOL down)
{
	int i = 0;

	if ( bOnOff )	//Read "live" if ON
		byte25Setting = tc1.Read1(0x0025);	//Read current setting 
	//else, use "archived value
	//tc1.Write1(byte25Setting, 0x0025);

	if (bMoveFast)	//make steps of 8
	{
		if (down)	//Down	(incremt line count)
		{
			if (byte25Setting < 0xF8)
				byte25Setting += 0x08;
			else if (byte25Setting < 0xFF)
				byte25Setting++;
			else //(byte25Setting == 0xFF)
			{
				if (bEBU)
				{
					byte26 = tc1.Read1(0x0026);
					if (byte26 < 0x80)	//we have a roll over case
					{
						byte26 = (byte26 + 0x80);	//set high bit
						tc1.Write1(byte26, 0x0026);
						byte25Setting = 0x01;	//Roll past 0x100 (ie: 0x101 <--> 0x0FF)
					}
				}	//else, no change
			}
		}
		else	//Up	(decrement the line number)
		{
			if (byte25Setting > 0x08)
				byte25Setting -= 0x08;
			else if (byte25Setting > 0x01)
				byte25Setting--;
			else if (byte25Setting == 0x01)
			{
				if (bEBU)
				{
					byte26 = tc1.Read1(0x0026);
					if (byte26 & 0x80)
					{
						byte26 = (byte26 & 0x7F);	//mask high bit
						tc1.Write1(byte26, 0x0026);
						byte25Setting = 0xFF;	//Roll past 0x100 (ie: 0x101 <--> 0x0FF)
					}
				}	//else, no change
			}
		}
	}
	else	//make single steps
	{
		if (down)	//Down	(incremt line count)
		{
			if (byte25Setting < 0xFF)
				byte25Setting++;
			else //(byte25Setting == 0xFF)
			{
				if (bEBU)
				{
					byte26 = tc1.Read1(0x0026);
					if (byte26 < 0x80)	//we have a roll over case
					{
						byte26 = (byte26 + 0x80);	//set high bit
						tc1.Write1(byte26, 0x0026);
						byte25Setting = 0x01;	//Roll past 0x100 (ie: 0x101 <--> 0x0FF)
					}
				}	//else, no change
			}
		}
		else	//Up	(decrement the line number)
		{
			if (byte25Setting > 0x01)
				byte25Setting--;
			else if (byte25Setting == 0x01)
			{
				if (bEBU)
				{
					byte26 = tc1.Read1(0x0026);
					if (byte26 & 0x80)
					{
						byte26 = (byte26 & 0x7F);	//mask high bit
						tc1.Write1(byte26, 0x0026);
						byte25Setting = 0xFF;	//Roll past 0x100 (ie: 0x101 <--> 0x0FF)
					}
				}	//else, no change
			}
		}
	}

	if (bOnOff)	//Don't write the changes unless are 'ON'
	{
		tc1.Write1(byte25Setting, 0x0025);
	}
	
	

	if (bEBU)
	{
		byte26 = tc1.Read1(0x0026);
		if (byte26 & 0x80)
			i = 0x100;
	}
	i += byte25Setting;

	//Update edit box
	wsprintf(sTemp, "%d", i);
	SetDlgItemText(IDC_EDITUPDOWN, sTemp);
		
}


//=============================================================================
void CAecOSDdlg::OnButtonBitmapLt() 
{
	DoHorizontal(TRUE);
}

//=============================================================================
void CAecOSDdlg::OnButtonBitmapRt() 
{
	DoHorizontal(FALSE);
}

//=============================================================================
void CAecOSDdlg::DoHorizontal(BOOL left)
{

	int i;

	byte24 = tc1.Read1(0x0024);
	if (bMoveFast)	//make steps of 8
	{
		if (left)	//left (decrement value)
		{
			if (byte24 > 0x08)
				byte24 -= 0x08;
			else if (byte24 > 0x00)
				byte24--;
		}
		else	//Right (increment value)
		{
			if (byte24 < 0xF8)
				byte24 += 0x08;
			else if (byte24 < 0xFF)
				byte24++;
		}
	}
	else	// step single
	{
		if (left)	//left (decrement value)
		{
			if (byte24 > 0x00)
				byte24--;
		}
		else	//Right (increment value)
		{
			if (byte24 < 0xFF)
				byte24++;
		}
	}

	tc1.Write1(byte24, 0x0024);
	i = (int)byte24;

	//Update edit box
	wsprintf(sTemp, "%d", i);
	SetDlgItemText(IDC_EDITLEFTRIGHT, sTemp);

}

//=============================================================================
void CAecOSDdlg::OnCheckGenerator() 	//bit27.3
{
	byte27 = tc1.Read1(0x0027);

	if (bShowGen = IsDlgButtonChecked(IDC_CHECK_GENERATOR))
	{
		//MessageBeep(0xffffffff);
		byte27 = (byte27 | BIT3);	//set bit3
		
	}
	else
		byte27 = (byte27 & NOTBIT3);	//clr bit3


	tc1.Write1(byte27, 0x0027);	
}

//=============================================================================
void CAecOSDdlg::OnCheckUser() 	//bit27.2
{
	byte27 = tc1.Read1(0x0027);

	if (bShowUser = IsDlgButtonChecked(IDC_CHECK_USER))
	{
		//MessageBeep(0xffffffff);
		byte27 = (byte27 | BIT2);	//set bit2	
	}
	else
		byte27 = (byte27 & NOTBIT2);	//clr bit2

	tc1.Write1(byte27, 0x0027);	
}

//=============================================================================
void CAecOSDdlg::OnCheckFieldId()  	//bit27.1
{
	byte27 = tc1.Read1(0x0027);

	if (bFieldId = IsDlgButtonChecked(IDC_CHECK_FIELD_ID))
	{
		//MessageBeep(0xffffffff);
		byte27 = (byte27 | BIT1);	//set bit1		
	}
	else
		byte27 = (byte27 & NOTBIT1);	//clr bit1

	tc1.Write1(byte27, 0x0027);	
}



//=============================================================================
void CAecOSDdlg::OnCheckDfIndication() //bit26.6
{
	byte26 = tc1.Read1(0x0026);

	if (IsDlgButtonChecked(IDC_CHECK_FIELD_ID))
		byte26 = (byte26 | BIT6);	//set bit6		
	else
		byte26 = (byte26 & NOTBIT6);	//clr bit6

	tc1.Write1(byte26, 0x0026);
	
}


//=============================================================================
void CAecOSDdlg::OnCheckOnOff() 
{
	byte25 = tc1.Read1(0x0025);
	//get the changed state and go from there
	if (IsDlgButtonChecked(IDC_CHECK_ON_OFF))
	{
		//MessageBeep(0xffffffff);
		bOnOff = TRUE;
		//write a value NON-ZERO to offset 25h
		if (!byte25Setting)	//if value is not set, set it.
			byte25Setting = 0x01;		
		if (byte25)
			byte25Setting = byte25;	//override above and KEEP same
		tc1.Write1(byte25Setting, 0x0025);
	}
	else
	{
		bOnOff = FALSE;
		byte25Setting = byte25;	//from read above
		//write ZERO to offset 25h
		tc1.Write1(0x00, 0x0025);
	}	
}

//=============================================================================
void CAecOSDdlg::OnToggleSize() //bit 26.3	Character Size (1 => large; 0 => small)
{
	//get the current size and toggle the bit
	//MessageBeep(0xffffffff);	//debug

	byte26 = tc1.Read1(0x0026);
	if (byte26 & BIT3)	//if '1' (LARGE) turn bit OFF
		byte26 = (byte26 & NOTBIT3);	//mask bit3
	else byte26 = (byte26 | BIT3);	//logical 'OR' bit3
	tc1.Write1(byte26, 0x0026);

	if ((byte26 & 0x38) == 0x00)
		SetDlgItemText(IDC_EDIT_COLOR, "Black Sm");
	else if ((byte26 & 0x38) == 0x08)
		SetDlgItemText(IDC_EDIT_COLOR, "Black Lg");
	else if ((byte26 & 0x38) == 0x10)
		SetDlgItemText(IDC_EDIT_COLOR, "Gray Sm");
	else if ((byte26 & 0x38) == 0x18)
		SetDlgItemText(IDC_EDIT_COLOR, "Gray Lg");
	else if ((byte26 & 0x38) == 0x20)
		SetDlgItemText(IDC_EDIT_COLOR, "White Sm");
	else if ((byte26 & 0x38) == 0x28)
		SetDlgItemText(IDC_EDIT_COLOR, "White Lg");
	else if ((byte26 & 0x38) == 0x30)
		SetDlgItemText(IDC_EDIT_COLOR, "Semi Sm");
	else if ((byte26 & 0x38) == 0x38)
		SetDlgItemText(IDC_EDIT_COLOR, "Semi Lg");	
}

//=============================================================================
void CAecOSDdlg::OnTextColor() 
{
//	Character Color Chart:
//			Bit 5	Bit 4 =>Character Color
//			1		1		Semi-Transparent
//			1		0		White
//			0		1		Gray
//			0		0		Black
	BYTE byteScratch, byteScratch2;

	//MessageBeep(0xffffffff);	//debug

	byte26 = tc1.Read1(0x0026);
	byteScratch = (byte26 & 0x30);	//save only bits 5/4
	switch (byteScratch)
	{
		case 0x00:
			byte26 = (byte26 | BIT4);	//set bit4
			break;
		case 0x10:
			byteScratch2 = (byte26 & NOTBIT4);	//clear bit4
			byte26 = (byteScratch2 | BIT5); //set bit5
			break;
		case 0x20:
			byte26 = (byte26 | BIT4);	//bit5 is already set, now set bit4
			break;
		case 0x30:
			byte26 = (byte26 & 0xCF);	//set bit to '00'
			break;
		default:
			byte26 = (byte26 & 0xCF);	//set bit to '00'
	}

	tc1.Write1(byte26, 0x0026);

	if ((byte26 & 0x38) == 0x00)
		SetDlgItemText(IDC_EDIT_COLOR, "Black Sm");
	else if ((byte26 & 0x38) == 0x08)
		SetDlgItemText(IDC_EDIT_COLOR, "Black Lg");
	else if ((byte26 & 0x38) == 0x10)
		SetDlgItemText(IDC_EDIT_COLOR, "Gray Sm");
	else if ((byte26 & 0x38) == 0x18)
		SetDlgItemText(IDC_EDIT_COLOR, "Gray Lg");
	else if ((byte26 & 0x38) == 0x20)
		SetDlgItemText(IDC_EDIT_COLOR, "White Sm");
	else if ((byte26 & 0x38) == 0x28)
		SetDlgItemText(IDC_EDIT_COLOR, "White Lg");
	else if ((byte26 & 0x38) == 0x30)
		SetDlgItemText(IDC_EDIT_COLOR, "Semi Sm");
	else if ((byte26 & 0x38) == 0x38)
		SetDlgItemText(IDC_EDIT_COLOR, "Semi Lg");
}

//=============================================================================
void CAecOSDdlg::OnBackgroundColor() 
{
//Background Color Chart:
//	Bit 2	Bit 1	Bit 0 => Background Color
//	1		0		0		Transparent
//	0		1		1		Semi-Transparent
//	0		1		0		White
//	0		0		1		Gray
//	0		0		0		Black

	BYTE byteScratch;
	
	byte26 = tc1.Read1(0x0026);

	//MessageBeep(0xffffffff);	//debug

	byteScratch = (byte26 & 0x07);	//save only bits 3/2/1
	switch (byteScratch)
	{
		case 0x00:
		case 0x01:
		case 0x02:
		case 0x03:
			byte26++;
			break;
//		case 0x04:
//			byte26 = (byte26 & 0xF8);	//clear low 3 bits
//			break;
		default:
			byte26 = (byte26 & 0xF8);	//clear low 3 bits
			break;
	}

	tc1.Write1(byte26, 0x0026);

	if ((byte26 & 0x07) == 0x00)
		SetDlgItemText(IDC_EDIT_BACKGROUND, "Black");
	else if ((byte26 & 0x07) == 0x01)
		SetDlgItemText(IDC_EDIT_BACKGROUND, "Gray");
	else if ((byte26 & 0x07) == 0x02)
		SetDlgItemText(IDC_EDIT_BACKGROUND, "White");
	else if ((byte26 & 0x07) == 0x03)
		SetDlgItemText(IDC_EDIT_BACKGROUND, "Semi");
	else if ((byte26 & 0x07) == 0x04)
		SetDlgItemText(IDC_EDIT_BACKGROUND, "Trans");
	else if ((byte26 & 0x07) == 0x05)
		SetDlgItemText(IDC_EDIT_BACKGROUND, "??");
	else if ((byte26 & 0x07) == 0x06)
		SetDlgItemText(IDC_EDIT_BACKGROUND, "??");
	else if ((byte26 & 0x07) == 0x07)
		SetDlgItemText(IDC_EDIT_BACKGROUND, "??");
}

//=============================================================================
void CAecOSDdlg::OnOK() 
{
	// TODO: Add extra validation here

	SendToMain(CLOSE, 0);
	//CDialog::OnOK();
}




//=============================================================================
